Subject: [PATCH 0/4] Adding xsv
From: Wilko Meyer <[email-masked]>
To: [email-masked]
Cc: Wilko Meyer <[email-masked]>
Date: Wed, 26 Jul 2023 17:49:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I'd like to add xsv, which is a csv cli toolkit, to guix packages. It
has two dependencies, rust-chan-0.1 and rust-filetime-0.1, which I've
added in this patch series as well. As this is my first time adding
something to guix packages I tried to be as close to the guix manual as
possible, please let me know if there's still something missing/if
there's something I can do to further improve the quality of my patches.

Best Regards,

Wilko Meyer

Wilko Meyer (4):
  gnu: Added rust-chan-0.1.
  gnu: Added rust-filetime-0.1 variant.
  gnu: Added xsv.
  gnu: Added copyright information.

 gnu/packages/crates-io.scm | 40 ++++++++++++++++++++++++++++++++++++++
 gnu/packages/rust-apps.scm | 36 ++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

base-commit: e05dcecd0df49a397aba49585a626cae16a6306c
-- 
2.41.0